<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Main Window/mainwindow.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_975d5d2dd149c960a63cfc1fda02739a.html">Main Window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">mainwindow.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="mainwindow_8h_source.html">mainwindow.h</a>&quot;</code><br />
<code>#include &quot;ui_mainwindow.h&quot;</code><br />
<code>#include &quot;Moxit_autogen/include/ui_mainwindow.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for mainwindow.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="mainwindow_8cpp__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2mainwindow_8cpp" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2mainwindow_8cpp" id="frontend_2src_2lib_2Main_01Window_2mainwindow_8cpp">
<area shape="rect" title=" " alt="" coords="2006,5,2197,47"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="1894,102,2010,129"/>
<area shape="rect" title=" " alt="" coords="2034,102,2169,129"/>
<area shape="rect" title=" " alt="" coords="2193,95,2364,136"/>
<area shape="rect" title=" " alt="" coords="1074,408,1190,435"/>
<area shape="rect" href="settings_8h.html" title=" " alt="" coords="795,333,882,360"/>
<area shape="rect" title=" " alt="" coords="499,408,581,435"/>
<area shape="rect" title=" " alt="" coords="397,408,475,435"/>
<area shape="rect" title=" " alt="" coords="605,408,675,435"/>
<area shape="rect" title=" " alt="" coords="669,647,795,673"/>
<area shape="rect" href="config_8h.html" title=" " alt="" coords="3453,647,3526,673"/>
<area shape="rect" href="settingsservice_8h.html" title=" " alt="" coords="2319,565,2452,591"/>
<area shape="rect" title=" " alt="" coords="90,647,163,673"/>
<area shape="rect" title=" " alt="" coords="3037,647,3126,673"/>
<area shape="rect" href="lobby_8h.html" title=" " alt="" coords="2429,184,2497,211"/>
<area shape="rect" href="globals_8h.html" title=" " alt="" coords="626,565,707,591"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="3301,483,3451,509"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="4033,557,4191,599"/>
<area shape="rect" href="hostgame_8h.html" title=" " alt="" coords="1903,259,2001,285"/>
<area shape="rect" title=" " alt="" coords="4186,184,4299,211"/>
<area shape="rect" title=" " alt="" coords="4324,184,4375,211"/>
<area shape="rect" title=" " alt="" coords="4399,184,4457,211"/>
<area shape="rect" title=" " alt="" coords="4482,184,4547,211"/>
<area shape="rect" title=" " alt="" coords="803,483,898,509"/>
<area shape="rect" title=" " alt="" coords="283,647,384,673"/>
<area shape="rect" title=" " alt="" coords="3703,647,3783,673"/>
<area shape="rect" title=" " alt="" coords="953,408,1050,435"/>
<area shape="rect" title=" " alt="" coords="409,647,463,673"/>
<area shape="rect" title=" " alt="" coords="2847,565,2942,591"/>
<area shape="rect" title=" " alt="" coords="3460,721,3519,748"/>
<area shape="rect" title=" " alt="" coords="2643,647,2717,673"/>
<area shape="rect" title=" " alt="" coords="4069,647,4155,673"/>
<area shape="rect" title=" " alt="" coords="3279,565,3350,591"/>
<area shape="rect" title=" " alt="" coords="4280,647,4347,673"/>
<area shape="rect" title=" " alt="" coords="4179,647,4255,673"/>
<area shape="rect" title=" " alt="" coords="3869,647,3993,673"/>
<area shape="rect" title=" " alt="" coords="2679,483,2839,509"/>
<area shape="rect" title=" " alt="" coords="1685,333,1838,360"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="1811,408,1922,435"/>
<area shape="rect" href="table_8h.html" title=" " alt="" coords="2067,333,2133,360"/>
<area shape="rect" title=" " alt="" coords="1243,483,1376,509"/>
<area shape="rect" title=" " alt="" coords="2965,483,3043,509"/>
<area shape="rect" title=" " alt="" coords="1401,483,1487,509"/>
<area shape="rect" title=" " alt="" coords="1511,483,1595,509"/>
<area shape="rect" title=" " alt="" coords="1619,483,1679,509"/>
<area shape="rect" title=" " alt="" coords="1703,483,1787,509"/>
<area shape="rect" title=" " alt="" coords="1812,483,1889,509"/>
<area shape="rect" title=" " alt="" coords="1914,483,1979,509"/>
<area shape="rect" title=" " alt="" coords="2004,483,2167,509"/>
<area shape="rect" title=" " alt="" coords="2191,483,2299,509"/>
<area shape="rect" title=" " alt="" coords="1075,483,1136,509"/>
<area shape="rect" title=" " alt="" coords="1160,483,1219,509"/>
<area shape="rect" href="cardwidget_8h.html" title=" " alt="" coords="3017,408,3124,435"/>
<area shape="rect" title=" " alt="" coords="3119,483,3225,509"/>
<area shape="rect" title=" " alt="" coords="2117,408,2187,435"/>
<area shape="rect" title=" " alt="" coords="2212,408,2287,435"/>
<area shape="rect" title=" " alt="" coords="2311,408,2409,435"/>
<area shape="rect" title=" " alt="" coords="2433,408,2511,435"/>
<area shape="rect" title=" " alt="" coords="2535,408,2686,435"/>
</map>
</div>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
